Bug 1731372 - seems the latest gnome-shell-extensions update (-9) changed gnome classic notification color
Summary: seems the latest gnome-shell-extensions update (-9) changed gnome classic not...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell-extensions
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1726093
Blocks: 1678350
TreeView+ depends on / blocked
 
Reported: 2019-07-19 09:31 UTC by Tomas Pelka
Modified: 2019-11-05 22:14 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-extensions-3.32.1-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:14:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3553 None None None 2019-11-05 22:14:57 UTC

Description Tomas Pelka 2019-07-19 09:31:49 UTC
Description of problem:
seems the latest gnome-shell-extensions update (-9) changed gnome classic notification color to dark grey 

Version-Release number of selected component (if applicable):
gnome-shell-extension-*-3.32.1-9.el8

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
dark grey notification which makes it not very readable

Expected results:
light grey notification

Additional info:
Most probably caused by fix for https://bugzilla.redhat.com/show_bug.cgi?id=1726093

Comment 1 Tomas Pelka 2019-07-19 09:32:53 UTC
Jakub is it possible that the backported fix from https://bugzilla.redhat.com/show_bug.cgi?id=1726093 causing this?

Comment 2 Jakub Steiner 2019-07-19 09:41:01 UTC
I'm only guessing, but if https://gitlab.gnome.org/GNOME/gnome-shell-extensions/commit/d32c9a88fb1c11279f633aa0bd13442ebf870968 is part of the backported patch set, it relies on the changes that happened in gnome-shell that might be missing here.

Comment 3 Tomas Pelka 2019-07-23 09:24:09 UTC
Florian any idea? Do you think wee can get this fixed in 8.1?

Thanks
-Tom

Comment 4 Florian Müllner 2019-07-23 21:49:00 UTC
(In reply to Jakub Steiner from comment #2)
> I'm only guessing, but if
> https://gitlab.gnome.org/GNOME/gnome-shell-extensions/commit/
> d32c9a88fb1c11279f633aa0bd13442ebf870968 is part of the backported patch
> set, it relies on the changes that happened in gnome-shell that might be
> missing here.

It is - should I just drop it from the backports, or should we bring in some of the shell style fixes from upstream?

Comment 5 Jakub Steiner 2019-07-24 08:25:36 UTC
Dropping it from the backport is the easiest approach.

Comment 6 Tomas Pelka 2019-07-24 12:50:36 UTC
Florian you forgot to dev_ack, so I can add to erratum. Thanks

Comment 7 Florian Müllner 2019-07-24 13:38:12 UTC
Right, I was surprised that I was able to push.

Comment 9 Tomas Pelka 2019-07-25 09:44:04 UTC
Notification is light gray again - moving to verified

gnome-shell-extensions-3.32.1-10

Comment 11 errata-xmlrpc 2019-11-05 22:14:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3553


Note You need to log in before you can comment on or make changes to this bug.